calfjackhost(1)

NAME
calfjackhost - JACK wrapper for Calf plugins

SYNOPSIS
calfjackhost [options] plugin[:preset] [!] ...

DESCRIPTION
Calf JACK host application provides a way to use Calf plugins directly, without need for any external host application. It also offers best GUI functionality (using GTK+ 2 widget set), as there is no restrictive plugin standard getting in a way between GUI and audio processing code.

OPTIONS

-c --client name
    sets JACK client name (the name calfjackhost uses when registering in JACK)

-i --input name
    name prefix for audio inputs

-o --output name
    name prefix for audio outputs

-m --midi name
    name prefix for MIDI inputs

-c --connect-midi client:port
    automatically connect all MIDI ports to client:port

-M --connect-midi !n
    automatically connect all MIDI ports to system:midi_capture_n

-v --version
    prints a version string (calf some.version.number)

-l --load session
    Loads the session state from a file

-s --state session
    Loads the session state from a file, if such a file exists

-L --list
    List all available plug-ins

-h -? --help
    prints a help text

-t --no-tray
    disable the tray icon on start

An exclamation mark (!) in place of plugin name means automatic connection. If "!" is placed before the first plugin name, the first plugin has its inputs connected to system:capture_1 and system:capture_2. If it's placed between plugin names, those plugins are connected together (first plugin's output is connected to second plugin's input). If it's placed after last plugin name, that plugin's audio outputs are connected to system:playback_1 and system:playback_2 (first output pair).

Plugin names (should be self-explanatory):
 * pulsator (autopanner/tremolo)
 * ringmodulator
 * tapesimulator
 * vinyl
 * compdelay (compensation delay)
 * reversedelay
 * compressor
 * sidechaincompressor
 * multibandcompressor
 * monocompressor
 * deesser
 * gate
 * sidechaingate
 * multibandgate
 * limiter
 * multibandlimiter
 * sidechainlimiter
 * transientdesigner
 * filterclavier (keyboard-controlled tunable filter)
 * emphasis
 * vocoder
 * eq5, eq8, eq12, eq30
 * saturator
 * crusher (bit crusher)
 * exciter
 * bassenhancer
 * stereo
 * haasenhancer
 * multispread
 * mono
 * xover2, xover3, xover4 (speaker crossovers)
 * analyzer (spectrum analyzer / spectrogram plugin)
 * flanger
 * filter
 * reverb
 * vintagedelay
 * monosynth
 * multichorus (chorus effect with multiple voices)
 * compressor (Thor Harald Johansen's dynamic compressor)
 * organ (polyphonic synthesizer emulating tonewheel or solid state organs)
 * rotaryspeaker (not a faithful emulation, not even close)

BUGS
Please send bug reports to <wdev@foltman.com>.

EXAMPLES

To start monosynth with automatic connection to first system audio output, and no automatic MIDI connection, use:

        calfjackhost monosynth !

(! means "connect", last "!" means "connect to output")

Other examples:

        calfjackhost monosynth ! vintagedelay ! flanger ! -M 2

(runs monosynth into vintagedelay and vintagedelay into flanger, then to output; connects monosynth's MIDI input to JACK's system:midi_capture_2)

        calfjackhost "monosynth:Fat Bass"

(runs monosynth with a Fat Bass preset into monosynth, does not autoconnect)

        calfjackhost ! reverb !

(takes signal from system:capture_1 and _2, puts it through reverb, and then sends to system:playback_1 and _2)

Note: none of the automatic connection features will work if autoconnection is disabled for session management purposes.

SEE ALSO
calf(7)